Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoVRMLDirectionalLight Class Reference
[VRML97 classes]

The SoVRMLDirectionalLight class is a node type for specifying directional light sources. More...

`#include <Inventor/VRMLnodes/SoVRMLDirectionalLight.h>`

Inheritance diagram for SoVRMLDirectionalLight:

List of all members.

## Public Methods
| SoVRMLDirectionalLight (void)
virtual void | GLRender (SoGLRenderAction *action)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoSFVec3f | direction
## Protected Methods
virtual | ~SoVRMLDirectionalLight ()

## Detailed Description

The SoVRMLDirectionalLight class is a node type for specifying directional light sources.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      DirectionalLight {
        exposedField SFFloat ambientIntensity  0        # [0,1]
        exposedField SFColor color             1 1 1    # [0,1]
        exposedField SFVec3f direction         0 0 -1   # (-inf,inf)
        exposedField SFFloat intensity         1        # [0,1]
        exposedField SFBool  on                TRUE
      }

The DirectionalLight node defines a directional light source that illuminates along rays parallel to a given 3-dimensional vector. A description of the ambientIntensity, color, intensity, and on fields is in 4.6.6, Light sources (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.6>).

The direction field specifies the direction vector of the illumination emanating from the light source in the local coordinate system. Light is emitted along parallel rays from an infinite distance away. A directional light source illuminates only the objects in its enclosing parent group. The light may illuminate everything within this coordinate system, including all children and descendants of its parent group. The accumulated transformations of the parent nodes affect the light. DirectionalLight nodes do not attenuate with distance. A precise description of VRML's lighting equations is contained in 4.14, Lighting model (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.14>).

## Constructor & Destructor Documentation

SoVRMLDirectionalLight::SoVRMLDirectionalLight | ( | void |  | ) |

| Constructor.

SoVRMLDirectionalLight::~SoVRMLDirectionalLight | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLDirectionalLight::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLLight.

void SoVRMLDirectionalLight::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoVRMLLight.

## Member Data Documentation

SoSFVec3f SoVRMLDirectionalLight::direction

| The light direction.

The documentation for this class was generated from the following files:

- SoVRMLDirectionalLight.h
- DirectionalLight.cpp